### Function

# GimpUi grid_attach_aligned

#### Declaration [src]

    GtkWidget*
    gimp_grid_attach_aligned (
      GtkGrid* grid,
      gint left,
      gint top,
      const gchar* label_text,
      gfloat xalign,
      gfloat yalign,
      GtkWidget* widget,
      gint columns
    )

#### Description [src]

Note that the `label_text` can be `NULL` and that the widget will be attached starting at (`column` + 1) in this case, too.

#### Parameters

`grid` | `GtkGrid`
| The `GtkGrid` the widgets will be attached to.
| The data is owned by the caller of the function.
`left` | `gint`
| The column to start with.
`top` | `gint`
| The row to attach the widgets.
`label_text` | `const gchar*`
| The text for the `GtkLabel` which will be attached left of the widget.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`xalign` | `gfloat`
| The horizontal alignment of the `GtkLabel`.
`yalign` | `gfloat`
| The vertical alignment of the `GtkLabel`.
`widget` | `GtkWidget`
| The `GtkWidget` to attach right of the label.
| The data is owned by the caller of the function.
`columns` | `gint`
| The number of columns the widget will use.

#### Return value

Returns: | `GtkWidget`
| The created `GtkLabel`.
| The data is owned by the called function.